import * as React from "react";
import { ICanvasAnnotation } from "../components";
import { IRectConfig } from "../contexts";
import { AnnotationContent } from "./AnnotationContent";

export const defaultAnnotation: IRectConfig<ICanvasAnnotation> = {
  getMinHeight(): number {
    return 120;
  },
  getMinWidth(): number {
    return 160;
  },
  render(args): React.ReactNode {
    const annotation = args.model;

    return (
      <AnnotationContent
        annotation={annotation}
        setData={args.setData}
        config={defaultAnnotation}
      />
    );
  }
};
