import * as React from "react";
import { GraphEdgeState, ICanvasEdge } from "../components";
import { IEdgeConfig, ITheme } from "../contexts";
import { getCurvePathD } from "../utils";

export const line: IEdgeConfig = {
  getStyle(edge: ICanvasEdge, theme: ITheme): React.CSSProperties {
    return {
      cursor: "crosshair",
      stroke:
        edge.state === GraphEdgeState.selected
          ? theme.edgeColorSelected
          : theme.edgeColor,
      strokeWidth: "2"
    };
  },
  render(args): React.ReactNode {
    const edge = args.model;
    const style = line.getStyle ? line.getStyle(edge, args.theme) : {};

    return (
      <path
        key={edge.id}
        d={getCurvePathD(args.x2, args.x1, args.y2, args.y1)}
        fill="none"
        style={style}
        id={`edge${edge.id}`}
      />
    );
  }
};
