import * as React from "react";
import { Graph } from "./Graph";
import { ICanvasData } from "./Graph.interface";

interface IReadonlyGraphProps {
  data: ICanvasData;
  svgRef?: React.RefObject<SVGSVGElement>;
}

export const ReadonlyGraph: React.FunctionComponent<IReadonlyGraphProps> = props => {
  const svgRef = props.svgRef ? props.svgRef : React.createRef<SVGSVGElement>();

  return (
    <Graph
      svgRef={svgRef}
      data={props.data}
      isPropsAPIDisabled={true}
      isClickNodeToSelectDisabled={true}
      isNodeResizeDisabled={true}
      isNodeDraggingDisabled={true}
      isConnectDisabled={true}
      isPanDisabled={true}
      isSidePanelDisabled={true}
      isKeyboardEventsDisabled={true}
      isCanvasFocusDisabled={true}
      isAddingNodeDisabled={true}
      isMultiSelectDisabled={true}
      isScrollDisabled={true}
    />
  );
};
