import * as React from "react";
import { GraphConfigContext, IRectConfig } from "../contexts";
import { ICanvasAnnotation } from "./Graph.interface";

export interface IRegisterAnnotationProps {
  name: string;
  config: IRectConfig<ICanvasAnnotation>;
}

export const RegisterAnnotation: React.FunctionComponent<IRegisterAnnotationProps> = props => {
  const graphConfig = React.useContext(GraphConfigContext);

  graphConfig.registerAnnotation(props.name, props.config);

  return null;
};
