import * as React from "react";
import { GraphConfigContext, IEdgeConfig } from "../contexts";

export interface IRegisterEdgeProps {
  name: string;
  config: IEdgeConfig;
  extend?: string;
}

export const RegisterEdge: React.FunctionComponent<IRegisterEdgeProps> = props => {
  const graphConfig = React.useContext(GraphConfigContext);
  const baseEdgeConfig = props.extend
    ? graphConfig.getEdgeConfigByName(props.extend)
    : {};
  const edgeConfig = { ...baseEdgeConfig, ...props.config };

  graphConfig.registerEdge(props.name, edgeConfig);

  return null;
};
