import * as React from "react";
import { GraphConfigContext, IRectConfig } from "../contexts";
import { ICanvasNode } from "./Graph.interface";

export interface IRegisterNodeProps {
  name: string;
  config: IRectConfig<ICanvasNode>;
}

export const RegisterNode: React.FunctionComponent<IRegisterNodeProps> = props => {
  const graphConfig = React.useContext(GraphConfigContext);

  graphConfig.registerNode(props.name, props.config);

  return null;
};
