import * as React from "react";

export interface IPanelConfig {
  render(
    // tslint:disable-next-line: no-any
    data: any,
    containerRef: React.RefObject<SVGSVGElement>
  ): React.ReactNode;
  panelDidOpen?(): void;
  panelDidDismiss?(): void;
}

export interface IPanelState {
  name?: string;
  // tslint:disable-next-line: no-any
  data?: any;
}

export interface IPanelContext {
  configList: Map<string, IPanelConfig>;
  state: IPanelState;
  setState(state: IPanelState): void;
}

export const PanelContext = React.createContext<IPanelContext>({
  setState: () => {
    // do nothing
  },
  state: {
    name: undefined
  },
  configList: new Map<string, IPanelConfig>()
});
