import * as React from "react";

export const useWindowEvent = (
  event: "keydown" | "keyup" | "wheel",
  callback: EventListener,
  options?: boolean | AddEventListenerOptions
) => {
  React.useEffect(() => {
    window.addEventListener(event, callback, options);
    return () => {
      window.removeEventListener(event, callback);
    };
  }, [event]);
};
