import { ICanvasNode } from "../components";
import { IGraphConfig } from "../contexts";

export const getNodeConfig = (node: ICanvasNode, graphConfig: IGraphConfig) => {
  const shape = node.shape ? node.shape : "rect";
  const nodeConfig = graphConfig.getNodeConfigByName(shape);

  if (!nodeConfig) {
    throw new Error(`invalid shape in node ${node.id}`);
  }

  return nodeConfig;
};
