import { ICanvasNode } from "../components";

export enum GraphState {
  default = "default",
  dragging = "dragging",
  panning = "panning",
  multiSelect = "multiSelect",
  connecting = "connecting",
  addingNode = "addingNode"
}

export interface IItem {
  model: ICanvasNode;
}

class GraphController {
  private state: GraphState;
  private draggingItem: IItem; // current dragging item of ItemPanel
  private draggingShape?: string;

  constructor() {
    this.state = GraphState.default;
  }

  public getGraphState(): GraphState {
    return this.state;
  }

  public setGraphState(state: GraphState): void {
    this.state = state;
  }

  public setDraggingItem(item: IItem): void {
    this.draggingItem = item;
  }

  public getDraggingItem(): IItem {
    return this.draggingItem;
  }

  public setDraggingShape(shape?: string): void {
    this.draggingShape = shape;
  }

  public getDraggingShape(): string | undefined {
    return this.draggingShape;
  }
}

export const graphController = new GraphController();
