// tslint:disable-next-line: ban-types
export const throttle = (callback: Function, limit: number) => {
  let isWaiting = false;

  // tslint:disable-next-line: no-any
  return (...args: any[]) => {
    if (!isWaiting) {
      callback.apply(undefined, args);

      isWaiting = true;

      setTimeout(() => {
        isWaiting = false;
      }, limit);
    }
  };
};
