import { Icon } from "office-ui-fabric-react";
import * as React from "react";
import { IPanelConfig, IPropsAPI } from "../../src";
import { NodePanelInner } from "./NodePanelInner";

export class NodePanel implements IPanelConfig {
  private readonly _propsAPI: IPropsAPI;

  constructor(propsAPI: IPropsAPI) {
    this._propsAPI = propsAPI;
  }

  // tslint:disable-next-line: no-any
  public render(data: any): React.ReactNode {
    const panelStyle: React.CSSProperties = {
      position: "absolute",
      right: 0,
      top: 0,
      background: "#fff",
      height: "100%",
      border: "1px solid #ccc",
      minWidth: "500px"
    };

    return (
      <div style={panelStyle}>
        <div style={{ textAlign: "right" }}>
          <Icon iconName="Clear" onClick={this._dismissPanel} />
        </div>
        <NodePanelInner node={data} />
      </div>
    );
  }

  public panelDidOpen(): void {
    console.log("panelDidOpen");
  }

  public panelDidDismiss(): void {
    console.log("panelDidDismiss");
  }

  private readonly _dismissPanel = () => {
    this._propsAPI.dismissSidePanel();
  };
}
