import { DefaultButton, Icon } from "office-ui-fabric-react";
import * as React from "react";
import { ICanvasNode, ICanvasPort, usePropsAPI } from "../../src";

interface IProps {
  node: ICanvasNode;
  port: ICanvasPort;
}

export const PortPanelInner: React.FunctionComponent<IProps> = props => {
  const propsAPI = usePropsAPI();
  const onClick = () => {
    propsAPI.deletePort(props.port.id, props.node.id);
  };
  const panelStyle: React.CSSProperties = {
    position: "absolute",
    right: 0,
    top: 0,
    background: "#fff",
    height: "100%",
    border: "1px solid #ccc",
    minWidth: "500px"
  };
  const dismissPanel = () => {
    propsAPI.dismissSidePanel();
  };

  return (
    <div style={panelStyle}>
      <div style={{ textAlign: "right" }}>
        <Icon iconName="Clear" onClick={dismissPanel} />
      </div>
      <DefaultButton onClick={onClick}>Delete this port</DefaultButton>;
    </div>
  );
};
